<!DOCTYPE html>
<html lang="en">
<head>
    <meta name="viewport" content="width=device-width, initial-scale=1.0, maximum-scale=1.0, user-scalable=0"/>
    <meta charset="utf-8"/>
    <title>API Documentation &raquo;\PhpOffice\PhpSpreadsheet\Collection\Memory</title>
    <meta name="author" content=""/>
    <meta name="description" content=""/>        <link href="../css/template.css" rel="stylesheet" media="all"/>        <!--[if lt IE 9]>
        <script src="https://html5shim.googlecode.com/svn/trunk/html5.js" type="text/javascript"></script>
        <![endif]-->
        <script src="../js/jquery-1.7.1.min.js" type="text/javascript"></script>
        <script src="../js/jquery-ui-1.8.2.custom.min.js" type="text/javascript"></script>
        <script src="../js/jquery.mousewheel.min.js" type="text/javascript"></script>
        <script src="../js/bootstrap.js" type="text/javascript"></script>
        <script src="../js/template.js" type="text/javascript"></script>
        <script src="../js/prettify/prettify.min.js" type="text/javascript"></script>        <link rel="shortcut icon" href="../img/favicon.ico"/>
        <link rel="apple-touch-icon" href="../img/apple-touch-icon.png"/>
        <link rel="apple-touch-icon" sizes="72x72" href="../img/apple-touch-icon-72x72.png"/>
        <link rel="apple-touch-icon" sizes="114x114" href="../img/apple-touch-icon-114x114.png"/></head>
<body>    <div class="navbar navbar-fixed-top">
        <div class="navbar-inner">
            <div class="container">
                <a class="btn btn-navbar" data-toggle="collapse" data-target=".nav-collapse">
                    <span class="icon-bar"></span> <span class="icon-bar"></span>
                    <span class="icon-bar"></span> </a>
                <a class="brand" href="../index.html">API Documentation</a>

                <div class="nav-collapse">
                    <ul class="nav">
                        <li class="dropdown">
                            <a href="#api" class="dropdown-toggle" data-toggle="dropdown">
                                API Documentation <b class="caret"></b>
                            </a>
                            <ul class="dropdown-menu">                                    <li><a>Namespaces</a></li>                                    <li><a href="../namespaces/task_23.html">task_23</a></li>                                    <li><a href="../namespaces/task_18.html">task_18</a></li>                                    <li><a href="../namespaces/task_22.html">task_22</a></li>                                    <li><a href="../namespaces/Composer.html">Composer</a></li>                                    <li><a href="../namespaces/Matrix.html">Matrix</a></li>                                    <li><a href="../namespaces/Complex.html">Complex</a></li>                                    <li><a href="../namespaces/Psr.html">Psr</a></li>                                    <li><a href="../namespaces/PhpOffice.html">PhpOffice</a></li>                                    <li><a href="../namespaces/Samples.html">Samples</a></li>                                    <li><a href="../namespaces/task_21.html">task_21</a></li>                                    <li><a href="../namespaces/task_24.html">task_24</a></li>                                    <li><a href="../namespaces/task_20.html">task_20</a></li>                                    <li><a href="../namespaces/task_17.html">task_17</a></li>                                    <li><a href="../namespaces/task_19.html">task_19</a></li>                            </ul>
                        </li>
                        <li class="dropdown" id="charts-menu">
                            <a href="#charts" class="dropdown-toggle" data-toggle="dropdown">
                                Charts <b class="caret"></b>
                            </a>
                            <ul class="dropdown-menu">
                                <li>
                                    <a href="../graph_class.html">
                                        <i class="icon-list-alt"></i>&#160;Class hierarchy diagram
                                    </a>
                                </li>
                            </ul>
                        </li>
                        <li class="dropdown" id="reports-menu">
                            <a href="#reports" class="dropdown-toggle" data-toggle="dropdown">
                                Reports <b class="caret"></b>
                            </a>
                            <ul class="dropdown-menu">
                                <li>
                                    <a href="../errors.html">
                                        <i class="icon-list-alt"></i>&#160;Errors
                                    </a>
                                </li>
                                <li>
                                    <a href="../markers.html">
                                        <i class="icon-list-alt"></i>&#160;Markers
                                    </a>
                                </li>
                                <li>
                                    <a href="../deprecated.html">
                                        <i class="icon-list-alt"></i>&#160;Deprecated
                                    </a>
                                </li>
                            </ul>
                        </li>
                    </ul>
                </div>
            </div>
        </div>
        <div class="go_to_top">
            <a href="#___" style="color: inherit">Back to top&#160;&#160;<i class="icon-upload icon-white"></i></a>
        </div>
    </div>
    <div id="___" class="container">
        <noscript>
            <div class="alert alert-warning">
                Javascript is disabled; several features are only available if Javascript is enabled.
            </div>
        </noscript>    <style>
        .deprecated h2 {
            text-decoration: line-through;
        }
    </style>
    <div class="row">
        <div class="span4">    <div class="btn-group view pull-right" data-toggle="buttons-radio">
        <button class="btn details" title="Show descriptions and method names"><i class="icon-list"></i></button>
        <button class="btn simple" title="Show only method names"><i class="icon-align-justify"></i></button>
    </div>
    <div class="btn-group visibility" data-toggle="buttons-checkbox">
        <button class="btn public active" title="Show public elements">Public</button>
        <button class="btn protected" title="Show protected elements">Protected</button>
        <button class="btn private" title="Show private elements">Private</button>
        <button class="btn inherited active" title="Show inherited elements">Inherited</button>
    </div>    <ul class="side-nav nav nav-list">
        <li class="nav-header">
            <i class="icon-custom icon-method"></i> Methods
            <ul>    <li class="methodpublic">
        <a href="#method_clear" title="clear ::Wipes clean the entire cache&#039;s keys.">
            <span class="description">Wipes clean the entire cache&#039;s keys.</span><pre>clear</pre>
        </a>
    </li>    <li class="methodpublic">
        <a href="#method_delete" title="delete ::Delete an item from the cache by its unique key.">
            <span class="description">Delete an item from the cache by its unique key.</span><pre>delete</pre>
        </a>
    </li>    <li class="methodpublic">
        <a href="#method_deleteMultiple" title="deleteMultiple ::Deletes multiple cache items in a single operation.">
            <span class="description">Deletes multiple cache items in a single operation.</span><pre>deleteMultiple</pre>
        </a>
    </li>    <li class="methodpublic">
        <a href="#method_get" title="get ::Fetches a value from the cache.">
            <span class="description">Fetches a value from the cache.</span><pre>get</pre>
        </a>
    </li>    <li class="methodpublic">
        <a href="#method_getMultiple" title="getMultiple ::Obtains multiple cache items by their unique keys.">
            <span class="description">Obtains multiple cache items by their unique keys.</span><pre>getMultiple</pre>
        </a>
    </li>    <li class="methodpublic">
        <a href="#method_has" title="has ::Determines whether an item is present in the cache.">
            <span class="description">Determines whether an item is present in the cache.</span><pre>has</pre>
        </a>
    </li>    <li class="methodpublic">
        <a href="#method_set" title="set ::Persists data in the cache, uniquely referenced by a key with an optional expiration TTL time.">
            <span class="description">Persists data in the cache, uniquely referenced by a key with an optional expiration TTL time.</span><pre>set</pre>
        </a>
    </li>    <li class="methodpublic">
        <a href="#method_setMultiple" title="setMultiple ::Persists a set of key =&gt; value pairs in the cache, with an optional TTL.">
            <span class="description">Persists a set of key =&gt; value pairs in the cache, with an optional TTL.</span><pre>setMultiple</pre>
        </a>
    </li>            </ul>
        </li>
        <li class="nav-header protected">» Protected
            <ul>            </ul>
        </li>
        <li class="nav-header private">» Private
            <ul>            </ul>
        </li>
        <li class="nav-header">
            <i class="icon-custom icon-constant"></i> Constants
            <ul>            </ul>
        </li>
    </ul>
        </div>

        <div class="span8">
            <div class="element class">
                <h1>Memory</h1>
                <small style="display: block; text-align: right">                        Implements<a href="../classes/Psr.SimpleCache.CacheInterface.html">\Psr\SimpleCache\CacheInterface</a>                </small>
                <p class="short_description">This is the default implementation for in-memory cell collection.</p>
                <div class="details">
                    <div class="long_description"><p>Alternatives implementation should leverage off-memory, non-volatile storage
to reduce overall memory usage.</p>
                    </div>
                    <table class="table table-bordered">                                <tr>
                                    <th>package                                    </th>
                                    <td><p>Default</p>
                                    </td>
                                </tr>                    </table>

                    <h3><i class="icon-custom icon-method"></i> Methods</h3>                        <a id="method_clear"></a>
                        <div class="element clickable methodpublic method_clear" data-toggle="collapse" data-target=".method_clear .collapse">
                            <h2>Wipes clean the entire cache&#039;s keys.</h2>
                            <pre>clear(): boolean</pre>
                            <div class="labels">                            </div>
                            <div class="row collapse">
                                <div class="detail-description">
                                    <div class="long_description"></div>

                                    <table class="table">                                            <tr>
                                                <th>
                                                </th>
                                                <td>                                                </td>
                                            </tr>                                            <tr>
                                                <th>
                                                </th>
                                                <td>                                                </td>
                                            </tr>                                    </table>                                        <h3>Response</h3>
                                        <code>boolean</code><p><p>True on success and false on failure.</p></p>                                </div>
                            </div>

                        </div>                        <a id="method_delete"></a>
                        <div class="element clickable methodpublic method_delete" data-toggle="collapse" data-target=".method_delete .collapse">
                            <h2>Delete an item from the cache by its unique key.</h2>
                            <pre>delete(string $key): boolean</pre>
                            <div class="labels">                            </div>
                            <div class="row collapse">
                                <div class="detail-description">
                                    <div class="long_description"></div>

                                    <table class="table">                                            <tr>
                                                <th>
                                                </th>
                                                <td>                                                </td>
                                            </tr>                                            <tr>
                                                <th>
                                                </th>
                                                <td>                                                </td>
                                            </tr>                                    </table>                                        <h3>Arguments</h3>                                            <div class="subelement argument">
                                                <h4>$key</h4>
                                                <code>string</code><p><p>The unique cache key of the item to delete.</p></p>
                                            </div>                                        <h3>Response</h3>
                                        <code>boolean</code><p><p>True if the item was successfully removed. False if there was an error.</p></p>                                </div>
                            </div>

                        </div>                        <a id="method_deleteMultiple"></a>
                        <div class="element clickable methodpublic method_deleteMultiple" data-toggle="collapse" data-target=".method_deleteMultiple .collapse">
                            <h2>Deletes multiple cache items in a single operation.</h2>
                            <pre>deleteMultiple(\Psr\SimpleCache\iterable $keys): boolean</pre>
                            <div class="labels">                            </div>
                            <div class="row collapse">
                                <div class="detail-description">
                                    <div class="long_description"></div>

                                    <table class="table">                                            <tr>
                                                <th>
                                                </th>
                                                <td>                                                </td>
                                            </tr>                                            <tr>
                                                <th>
                                                </th>
                                                <td>                                                </td>
                                            </tr>                                    </table>                                        <h3>Arguments</h3>                                            <div class="subelement argument">
                                                <h4>$keys</h4>
                                                <code>\Psr\SimpleCache\iterable</code><p><p>A list of string-based keys to be deleted.</p></p>
                                            </div>                                        <h3>Response</h3>
                                        <code>boolean</code><p><p>True if the items were successfully removed. False if there was an error.</p></p>                                </div>
                            </div>

                        </div>                        <a id="method_get"></a>
                        <div class="element clickable methodpublic method_get" data-toggle="collapse" data-target=".method_get .collapse">
                            <h2>Fetches a value from the cache.</h2>
                            <pre>get(string $key,mixed $default = null): mixed</pre>
                            <div class="labels">                            </div>
                            <div class="row collapse">
                                <div class="detail-description">
                                    <div class="long_description"></div>

                                    <table class="table">                                            <tr>
                                                <th>
                                                </th>
                                                <td>                                                </td>
                                            </tr>                                            <tr>
                                                <th>
                                                </th>
                                                <td>                                                </td>
                                            </tr>                                    </table>                                        <h3>Arguments</h3>                                            <div class="subelement argument">
                                                <h4>$key</h4>
                                                <code>string</code><p><p>The unique key of this item in the cache.</p></p>
                                            </div>                                            <div class="subelement argument">
                                                <h4>$default</h4>
                                                <code>mixed</code><p><p>Default value to return if the key does not exist.</p></p>
                                            </div>                                        <h3>Response</h3>
                                        <code>mixed</code><p><p>The value of the item from the cache, or $default in case of cache miss.</p></p>                                </div>
                            </div>

                        </div>                        <a id="method_getMultiple"></a>
                        <div class="element clickable methodpublic method_getMultiple" data-toggle="collapse" data-target=".method_getMultiple .collapse">
                            <h2>Obtains multiple cache items by their unique keys.</h2>
                            <pre>getMultiple(\Psr\SimpleCache\iterable $keys,mixed $default = null): \Psr\SimpleCache\iterable</pre>
                            <div class="labels">                            </div>
                            <div class="row collapse">
                                <div class="detail-description">
                                    <div class="long_description"></div>

                                    <table class="table">                                            <tr>
                                                <th>
                                                </th>
                                                <td>                                                </td>
                                            </tr>                                            <tr>
                                                <th>
                                                </th>
                                                <td>                                                </td>
                                            </tr>                                    </table>                                        <h3>Arguments</h3>                                            <div class="subelement argument">
                                                <h4>$keys</h4>
                                                <code>\Psr\SimpleCache\iterable</code><p><p>A list of keys that can obtained in a single operation.</p></p>
                                            </div>                                            <div class="subelement argument">
                                                <h4>$default</h4>
                                                <code>mixed</code><p><p>Default value to return for keys that do not exist.</p></p>
                                            </div>                                        <h3>Response</h3>
                                        <code>\Psr\SimpleCache\iterable</code><p><p>A list of key =&gt; value pairs. Cache keys that do not exist or are stale will have $default as value.</p></p>                                </div>
                            </div>

                        </div>                        <a id="method_has"></a>
                        <div class="element clickable methodpublic method_has" data-toggle="collapse" data-target=".method_has .collapse">
                            <h2>Determines whether an item is present in the cache.</h2>
                            <pre>has(string $key): boolean</pre>
                            <div class="labels">                            </div>
                            <div class="row collapse">
                                <div class="detail-description">
                                    <div class="long_description"><p>NOTE: It is recommended that has() is only to be used for cache warming type purposes
and not to be used within your live applications operations for get/set, as this method
is subject to a race condition where your has() will return true and immediately after,
another script can remove it making the state of your app out of date.</p></div>

                                    <table class="table">                                            <tr>
                                                <th>
                                                </th>
                                                <td>                                                </td>
                                            </tr>                                            <tr>
                                                <th>
                                                </th>
                                                <td>                                                </td>
                                            </tr>                                    </table>                                        <h3>Arguments</h3>                                            <div class="subelement argument">
                                                <h4>$key</h4>
                                                <code>string</code><p><p>The cache item key.</p></p>
                                            </div>                                        <h3>Response</h3>
                                        <code>boolean</code><p></p>                                </div>
                            </div>

                        </div>                        <a id="method_set"></a>
                        <div class="element clickable methodpublic method_set" data-toggle="collapse" data-target=".method_set .collapse">
                            <h2>Persists data in the cache, uniquely referenced by a key with an optional expiration TTL time.</h2>
                            <pre>set(string $key,mixed $value,null|integer|\DateInterval $ttl = null): boolean</pre>
                            <div class="labels">                            </div>
                            <div class="row collapse">
                                <div class="detail-description">
                                    <div class="long_description"></div>

                                    <table class="table">                                            <tr>
                                                <th>
                                                </th>
                                                <td>                                                </td>
                                            </tr>                                            <tr>
                                                <th>
                                                </th>
                                                <td>                                                </td>
                                            </tr>                                    </table>                                        <h3>Arguments</h3>                                            <div class="subelement argument">
                                                <h4>$key</h4>
                                                <code>string</code><p><p>The key of the item to store.</p></p>
                                            </div>                                            <div class="subelement argument">
                                                <h4>$value</h4>
                                                <code>mixed</code><p><p>The value of the item to store, must be serializable.</p></p>
                                            </div>                                            <div class="subelement argument">
                                                <h4>$ttl</h4>
                                                <code>null|integer|\DateInterval</code><p><p>Optional. The TTL value of this item. If no value is sent and
the driver supports TTL then the library may set a default value
for it or let the driver take care of that.</p></p>
                                            </div>                                        <h3>Response</h3>
                                        <code>boolean</code><p><p>True on success and false on failure.</p></p>                                </div>
                            </div>

                        </div>                        <a id="method_setMultiple"></a>
                        <div class="element clickable methodpublic method_setMultiple" data-toggle="collapse" data-target=".method_setMultiple .collapse">
                            <h2>Persists a set of key =&gt; value pairs in the cache, with an optional TTL.</h2>
                            <pre>setMultiple(\Psr\SimpleCache\iterable $values,null|integer|\DateInterval $ttl = null): boolean</pre>
                            <div class="labels">                            </div>
                            <div class="row collapse">
                                <div class="detail-description">
                                    <div class="long_description"></div>

                                    <table class="table">                                            <tr>
                                                <th>
                                                </th>
                                                <td>                                                </td>
                                            </tr>                                            <tr>
                                                <th>
                                                </th>
                                                <td>                                                </td>
                                            </tr>                                    </table>                                        <h3>Arguments</h3>                                            <div class="subelement argument">
                                                <h4>$values</h4>
                                                <code>\Psr\SimpleCache\iterable</code><p><p>A list of key =&gt; value pairs for a multiple-set operation.</p></p>
                                            </div>                                            <div class="subelement argument">
                                                <h4>$ttl</h4>
                                                <code>null|integer|\DateInterval</code><p><p>Optional. The TTL value of this item. If no value is sent and
the driver supports TTL then the library may set a default value
for it or let the driver take care of that.</p></p>
                                            </div>                                        <h3>Response</h3>
                                        <code>boolean</code><p><p>True on success and false on failure.</p></p>                                </div>
                            </div>

                        </div>                        <h3><i class="icon-custom icon-property"></i> Properties</h3>                            <a id="property_cache"> </a>
                            <div class="element clickable propertyprivate property_cache" data-toggle="collapse" data-target=".property_cache .collapse">
                                <h2>cache</h2>
                                <pre>cache :</pre>
                                <div class="labels">                                </div>
                                <div class="row collapse">
                                    <div class="detail-description">
                                        <div class="long_description"></div>

                                        <table class="table">                                                <tr>
                                                    <th>
                                                    </th>
                                                    <td>                                                    </td>
                                                </tr>                                        </table>                                            <h3>Type(s)</h3>
                                            <code></code>                                    </div>
                                </div>
                            </div>                </div>
            </div>
            <a id="\PhpOffice\PhpSpreadsheet\Collection\Memory"></a>
            <ul class="breadcrumb">
                <li><a href="../index.html"><i class="icon-custom icon-class"></i></a></li>
    <li><span class="divider">\</span><a href="../namespaces/PhpOffice.PhpSpreadsheet.Collection.html">Collection</a></li>
                <li class="active"><span class="divider">\</span><a href="../classes/PhpOffice.PhpSpreadsheet.Collection.Memory.html">Memory</a></li>
            </ul>
        </div>
    </div>    </div>    <footer class="span12">
            Template is built using <a href="http://twitter.github.com/bootstrap/">Twitter Bootstrap 2</a> and icons provided by
            <a href="http://glyphicons.com/">Glyphicons</a>.<br/>
            Documentation is powered by <a href="http://www.phpdoc.org/">phpDocumentor</a> and<br/>
            generated onFri, 14 Feb 2020 19:36:53 +0000.<br/>
    </footer></body>
</html>
